创建 remoteActionAudit

命名空间:microsoft.graph

重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

创建新的 remoteActionAudit 对象。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementConfiguration.ReadWrite.All、DeviceManagementManagedDevices.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementConfiguration.ReadWrite.All、DeviceManagementManagedDevices.ReadWrite.All

HTTP 请求

POST /deviceManagement/remoteActionAudits

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 remoteActionAudit 对象的 JSON 表示形式。

下表显示创建 remoteActionAudit 时所需的属性。

属性 类型 说明
id String 报告 ID。
deviceDisplayName String Intune 设备名称。
userName String [已弃用 ] 请改为使用 InitiatedByUserPrincipalName。
initiatedByUserPrincipalName String 启动设备操作的用户,格式为 UPN。
action remoteAction 操作名称。 可能的值是 unknown factoryReset :、、、、、、、、、、。 removeCompanyData resetPasscode remoteLock enableLostMode disableLostMode locateDevice rebootNow recoverPasscode cleanWindowsDevice logoutSharedAppleDeviceActiveUser quickScan fullScan windowsDefenderUpdateSignatures factoryResetKeepEnrollmentData updateDeviceAccount automaticRedeployment shutDown rotateBitLockerKeys rotateFileVaultKey getFileVaultKey setDeviceName activateDeviceEsim
requestDateTime DateTimeOffset 发出操作的时间(以 UTC 表示)。
deviceOwnerUserPrincipalName String 设备所有者的 Upn。
deviceIMEI String 设备的 IMEI。
actionState actionState 操作状态。 可取值为:nonependingcanceledactivedonefailednotSupported
managedDeviceId String 操作目标。

响应

如果成功,此方法在响应 201 Created 正文中返回 响应代码和 remoteActionAudit 对象。

示例

请求

下面是一个请求示例。

POST https://graph.microsoft.com/beta/deviceManagement/remoteActionAudits
Content-type: application/json
Content-length: 504

{
  "@odata.type": "#microsoft.graph.remoteActionAudit",
  "deviceDisplayName": "Device Display Name value",
  "userName": "User Name value",
  "initiatedByUserPrincipalName": "Initiated By User Principal Name value",
  "action": "factoryReset",
  "requestDateTime": "2017-01-01T00:03:07.1589002-08:00",
  "deviceOwnerUserPrincipalName": "Device Owner User Principal Name value",
  "deviceIMEI": "Device IMEI value",
  "actionState": "pending",
  "managedDeviceId": "Managed Device Id value"
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 553

{
  "@odata.type": "#microsoft.graph.remoteActionAudit",
  "id": "477f8d24-8d24-477f-248d-7f47248d7f47",
  "deviceDisplayName": "Device Display Name value",
  "userName": "User Name value",
  "initiatedByUserPrincipalName": "Initiated By User Principal Name value",
  "action": "factoryReset",
  "requestDateTime": "2017-01-01T00:03:07.1589002-08:00",
  "deviceOwnerUserPrincipalName": "Device Owner User Principal Name value",
  "deviceIMEI": "Device IMEI value",
  "actionState": "pending",
  "managedDeviceId": "Managed Device Id value"
}